import { AssetManager } from "./asset-manager.js";
import type { StoreEntry } from "../types/compute.js";
import type { ContentAsset, ContentAssetMetadataMap, ContentAssetMetadataMapEntry, ContentAssetMetadataMapEntryInline, ContentAssetMetadataMapEntryObjectStore } from "../types/content-assets.js";
export declare class ContentInlineAsset implements ContentAsset {
    readonly isInline: boolean;
    private readonly metadata;
    private readonly bytes;
    constructor(metadata: ContentAssetMetadataMapEntryInline, bytes: Uint8Array);
    get assetKey(): string;
    getStoreEntry(): Promise<StoreEntry>;
    getBytes(): Uint8Array;
    getText(): string;
    getMetadata(): ContentAssetMetadataMapEntry;
}
export declare class ContentObjectStoreAsset implements ContentAsset {
    readonly isInline: boolean;
    private readonly metadata;
    private readonly objectStoreName;
    constructor(metadata: ContentAssetMetadataMapEntryObjectStore, objectStoreName: string);
    get assetKey(): string;
    getStoreEntry(): Promise<StoreEntry>;
    getBytes(): Uint8Array;
    getText(): string;
    getMetadata(): ContentAssetMetadataMapEntry;
}
export declare class ContentAssets extends AssetManager<ContentAsset> {
    constructor(objectStoreName: string | null, contentAssetMetadataMap: ContentAssetMetadataMap);
}
//# sourceMappingURL=content-assets.d.ts.map