import fs from "fs";
import { createStringId } from "./id.js";
export function generateOrLoadPublishId() {
    let created = false;
    const filename = './.publish-id';
    let contents;
    try {
        contents = fs.readFileSync(filename, 'utf-8');
    }
    catch {
        contents = null;
    }
    let publishId = null;
    if (contents != null) {
        publishId = contents
            .split('\n')
            .find(line => line.length > 0 && !line.startsWith('#')) ?? null;
    }
    if (publishId == null) {
        publishId = createStringId();
        created = true;
        const fileContents = `# Generated by @fastly/compute-js-static-publish.\n${publishId}\n`;
        fs.writeFileSync(filename, fileContents, 'utf-8');
    }
    return { publishId, created };
}
