import type { ContentTypeDef } from "./content-types.js";
export interface ExcludeDirTest {
    test(name: string): boolean;
}
export type ContentAssetInclusionResult = {
    includeContent?: boolean;
    inline?: boolean;
};
export type ContentAssetInclusionTest = (assetKey: string, contentType?: string) => ContentAssetInclusionResult | true | 'inline' | false | null;
export type ModuleAssetInclusionResult = {
    includeModule?: boolean;
    useStaticImport?: boolean;
};
export type ModuleAssetInclusionTest = (assetKey: string, contentType?: string) => ModuleAssetInclusionResult | true | false | 'static-import' | null;
export type StaticPublisherConfig = {
    rootDir: string;
    objectStore?: string | false | null;
    excludeDirs?: (string | ExcludeDirTest)[] | string | ExcludeDirTest | null;
    excludeDotFiles?: boolean;
    includeWellKnown?: boolean;
    contentAssetInclusionTest?: ContentAssetInclusionTest | null;
    contentCompression?: ('br' | 'gzip')[];
    moduleAssetInclusionTest?: ModuleAssetInclusionTest | null;
    contentTypes?: ContentTypeDef[];
    server?: PublisherServerConfig | null;
};
export type PublisherServerConfig = {
    publicDirPrefix?: string;
    staticItems?: string[] | string | false | null;
    compression?: ('br' | 'gzip')[];
    spaFile?: string | false | null;
    notFoundPageFile?: string | false | null;
    autoExt?: string[] | string | false | null;
    autoIndex?: string[] | string | false | null;
};
//# sourceMappingURL=config.d.ts.map